> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Boulevard integration

> Update Boulevard integration settings



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/integrations/accessControl/updateBoulevardIntegration
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/integrations/accessControl/updateBoulevardIntegration:
    post:
      tags:
        - Access Control Integrations Webservice
      summary: Update Boulevard integration
      description: Update Boulevard integration settings
      operationId: updateBoulevardIntegration
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Integration_UpdateBoulevardIntegrationWSRequest
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Integration_UpdateOrgIntegrationsWSResponse
          description: OK
components:
  schemas:
    Integration_UpdateBoulevardIntegrationWSRequest:
      type: object
      description: >-
        Request object for updating Boulevard access control integration
        settings.
      properties:
        accessWindowAfterMinutes:
          type: integer
          format: int32
          description: Number of minutes after appointment to allow access
          nullable: true
        accessWindowBeforeMinutes:
          type: integer
          format: int32
          description: Number of minutes before appointment to allow access
          nullable: true
        apiToken:
          type: string
          description: Boulevard API token
          nullable: true
        boulevardBusinessId:
          type: string
          description: Boulevard business ID
          nullable: true
        boulevardLocationToRhombusLocationMap:
          type: object
          additionalProperties:
            type: string
            format: RUUID
            description: base 64 (url-safe) uuid string
            example: AAAAAAAAAAAAAAAAAAAAAA
            nullable: true
          description: Mapping of Boulevard location IDs to Rhombus location UUIDs
          nullable: true
        enabled:
          type: boolean
          description: Whether the Boulevard integration is enabled
          nullable: true
    Integration_UpdateOrgIntegrationsWSResponse:
      type: object
      description: Response object for updating organization integrations.
      properties:
        authError:
          type: boolean
          description: Whether an authentication error occurred during update
          example: false
          nullable: true
        error:
          type: boolean
          nullable: true
        errorMsg:
          type: string
          nullable: true
        failedGuids:
          type: array
          description: List of GUIDs that failed to update
          items:
            type: string
            description: List of GUIDs that failed to update
            nullable: true
          nullable: true
        misconfiguredDoors:
          type: array
          description: List of door names that are assigned to multiple Rhombus locations
          items:
            type: string
            description: List of door names that are assigned to multiple Rhombus locations
            nullable: true
          nullable: true
        warningMsg:
          type: string
          nullable: true
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````